• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

PHP extentions

#1
Hey guys, how do i change install the php extensions required on a linux centos system?
  • PHP extensions: MySQLi, GD (with JPEG support), PCRE, SPL, SimpleXML, DOM, JSON, iconv, ctype
 

Slavik

XenForo moderator
Staff member
#2
Upload the test script to see if they are already installed (99% of hosts will have them pre-installed for you)
 
#4
I also had this error when trying to import my old database.

Code:
Error
SQL query:

--
-- Database: `shady_Xenforo`
--
-- --------------------------------------------------------
--
-- Table structure for table `EWRporta_blocks`
--
CREATE TABLE IF NOT EXISTS `EWRporta_blocks` (

`block_id` VARCHAR( 25 ) NOT NULL ,
`title` VARCHAR( 75 ) NOT NULL ,
`version_string` VARCHAR( 30 ) NOT NULL ,
`version_id` INT( 10 ) UNSIGNED NOT NULL DEFAULT '0',
`url` VARCHAR( 100 ) NOT NULL ,
`install_callback_class` VARCHAR( 75 ) NOT NULL ,
`install_callback_method` VARCHAR( 75 ) NOT NULL ,
`uninstall_callback_class` VARCHAR( 75 ) NOT NULL ,
`uninstall_callback_method` VARCHAR( 75 ) NOT NULL ,
`cache` VARCHAR( 255 ) NOT NULL DEFAULT '+10 minutes',
`display` ENUM( 'show', 'hide' ) NOT NULL ,
`groups` VARCHAR( 255 ) NOT NULL ,
`locked` TINYINT( 3 ) UNSIGNED NOT NULL DEFAULT '0',
`active` TINYINT( 3 ) UNSIGNED NOT NULL DEFAULT '1'
) ENGINE = INNODB DEFAULT CHARSET = utf8;



MySQL said: Documentation

#1046 - No database selected